import { ElementRef } from '@angular/core';
import { FormControl } from '@angular/forms';
import { NgxNepaliUnicodeService } from './ngx-nepali-unicode.service';
/**
 * Angular Directive for Nepali unicode
 *
 */
export declare class NepaliUnicodeDirective {
    private elementRef;
    private nepaliUnicodeService;
    /**
    * FormControl to bind converted value on change
    *
    */
    formControl: FormControl;
    /**
     * Default Constructor
     * @param nepaliUnicodeService
     */
    constructor(elementRef: ElementRef, nepaliUnicodeService: NgxNepaliUnicodeService);
    /**
     * Handle element input element
     */
    oninput(): void;
}
