import { PipeTransform } from '@angular/core';
import { NgxNepaliUnicodeService } from './ngx-nepali-unicode.service';
/**
 * Angular pipe for Nepali uniocde
 *
 */
export declare class NepaliUnicodePipe implements PipeTransform {
    private nepaliUnicodeService;
    /**
     * Default Constructor
     * @param nepaliUnicodeService
     */
    constructor(nepaliUnicodeService: NgxNepaliUnicodeService);
    /**
     * Transform input text into nepali unicode
     * @param inputText
     */
    transform(inputText: string): string;
}
